<?php

class i_lychee_4_0_0_install extends i_action_install
{
public function step2_init() {}
public function step2_process()
{
	

// Get archive of app files
$this->extract("main");
$this->mv("Lychee-v4.0.0/*");
$this->rm("Lychee-v4.0.0");

// Create install script
$shell_script = <<<EOM
#!/bin/bash

cd {$this->path}

# Copy template env
cp .env.example .env
chmod 644 .env

# Set DB settings
sed -i 's/homestead/{$this->db_user}/g' .env
sed -i 's/secret/{$this->db_pass}/g' .env

# Set URL
sed -i "s|APP_URL=http\:\/\/localhost|APP_URL={$this->url}|g" .env

# Install Lychee
composer install --no-dev &> /dev/null
php artisan key:generate &> /dev/null
php artisan migrate &> /dev/null

# Set up redirect to /public
echo "RedirectMatch 301 ^{$this->url_path}(/?)$ {$this->url}/public" >> .htaccess
echo "Options All -Indexes" >> .htaccess
echo "<FilesMatch '(^\.)|(composer\..*)'>" >> .htaccess
echo "Order allow,deny" >> .htaccess
echo "Deny from all" >> .htaccess
echo "Allow from 127.0.0.1" >> .htaccess
echo "</FilesMatch>" >> .htaccess

# Block access to all other dirs besides /public
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> app/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> bootstrap/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> composer-cache/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> config/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> database/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> resources/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> routes/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> storage/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> vendor/.htaccess
echo -e "Options All -Indexes\nDeny from all\nAllow from 127.0.0.1" >> tests/.htaccess

# Fix permissions
chown -R $(stat -c %U .):$(stat -c %U .) ./

# Remove install script
rm lycheeinstall.sh
EOM;

// Write and execute install script
$this->write("lycheeinstall.sh", $shell_script);
$this->sr("lycheeinstall.sh", "#\r#", "");	
exec("/usr/bin/nohup /bin/sh {$this->path}/lycheeinstall.sh &> /dev/null &");
$this->fetch("public/index.php");


}
}

?>